#
# spec file for package haskintex
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name haskintex
Name:           %{pkg_name}
Version:        0.8.0.0
Release:        6.2
Summary:        Haskell Evaluation inside of LaTeX code
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HaTeX-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-hint-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel

%description
The /haskintex/ (Haskell in LaTeX) program is a tool that reads a LaTeX file
and evaluates Haskell expressions contained in some specific commands and
environments. It allows you to define your own functions, use any GHC Haskell
language extension and, in brief, anything you can do within Haskell.
Additionally, it is possible to include expressions of 'LaTeX' type (see
/HaTeX/ package) and render them as LaTeX code. You can freely add any Haskell
code you need, and make this code appear /optionally/ in the LaTeX output.
It is a tiny program, and therefore, easy to understand, use and predict.

Additions from last version:

* /haskintex/ is now able to detect that is running on a cabal sandbox, and
will use the sandbox package db if this is the case. Unless the flag
'-nosandbox' is given, in which case the sandbox will be ignored.

* New flag '-nosandbox'. Ignore sandbox if /haskintex/ runs on one. .

%package -n ghc-%{name}
Summary:        Haskell %{name} library
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.

%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Haskell
Requires:       ghc-%{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%prep
%setup -q

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post -n ghc-%{name}-devel
%ghc_pkg_recache

%postun -n ghc-%{name}-devel
%ghc_pkg_recache

%files
%license LICENSE
%doc README.md examples
%{_bindir}/%{name}

%files -n ghc-%{name} -f ghc-%{name}.files
%license LICENSE

%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc README.md examples

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update haskintex to version 0.8.0.0.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.7.0.1 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.6.0.1 revision 1 with cabal2obs.
* Wed Jul 20 2016 psimons@suse.com
- Update to version 0.6.0.1 revision 0 with cabal2obs.
